【活用ガイド】

JVNDB-2005-000036

SquirrelMail の prefs.php における任意の php ファイルを読み込ませる脆弱性

概要

------------
本脆弱性情報は、同時期に公開された複数の脆弱性について、まとめて解説したものです。タイトル以外の他の脆弱性情報の内容が含まれていますので予めご了承ください。
------------

SquirrelMail は、PHP 言語で開発された高機能な Web メールパッケージです。

SquirrelMail 1.4.0-1.4.3a には、以下の複数のセキュリティ上の問題が存在します。

1) prefs.php において、読み込む php ファイルを指定する変数のチェックが不適切であるため、意図的に作成された URL により標的システム上の任意の php ファイルを読み込ませることが可能な問題 (CAN-2005-0075) (1.4.3 - 1.4.3a)

2) webmail.php において、URL より指定されたフレーム変数のチェックが適切に行われないため、SquirrelMail ページのフレームに任意の Web ページを挿入することが可能な問題 (CAN-2005-0103) (1.4.0 - 1.4.3a)

3) webmail.php において変数のエスケープ処理が適切に行われていないため、意図的に作成した URL により任意の HTML もしくはスクリプトを SquirrelMail ページに挿入可能な問題 (CAN-2005-0104) (1.4.3 - 1.4.3a)

これらの問題を利用するリモートの攻撃者は、意図的に作成した URL に標的ユーザをアクセスするよう誘導し、クロスサイトスクリプティング攻撃や Web サイトの偽装を行うことにより重要な情報を奪取する、あるいは標的システム上の任意の php ファイルを読み込ませることが可能です。

尚、CAN-2005-0075 および CAN-2005-0104 の問題については、PHP の設定において register_globals が on に設定されている場合にのみ影響します。
CVSS による深刻度 (CVSS とは?)

CVSS v2 による深刻度
基本値: 5.0 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし
影響を受けるシステム


レッドハット
  • Red Hat Enterprise Linux 3 (as) 
  • Red Hat Enterprise Linux 4 (as) 
  • Red Hat Enterprise Linux 3 (es) 
  • Red Hat Enterprise Linux 4 (es) 
  • Red Hat Enterprise Linux 3 (ws) 
  • Red Hat Enterprise Linux 4 (ws) 

想定される影響

本脆弱性に伴う影響については、「概要」をご参照ください。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

レッドハット
CWEによる脆弱性タイプ一覧  CWEとは?

共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2005-0075
参考情報

  1. National Vulnerability Database (NVD) : CVE-2005-0075
  2. SecurityFocus : 12337
  3. SecuriTeam : 5SP060KEUC
更新履歴

  • [2007年04月01日]
      掲載